opensuse
[Arriba] [Todas las Listas]

[opensuse] Re: zypper [Arriba de vs patch && duppr{^de 11.3 a 11.4 ??}

To: opensuse@xxxxxxxxxxxx
Subject: [opensuse] Re: zypper [Arriba de vs patch && duppr{^de 11.3 a 11.4 ??}
From: "Joe(theWordy)Philbrook" <jtwdyp@xxxxxxxx>
Date: Fri, 16 Sep 2011 12:56:06 -0400
Delivered-to: opensuse@xxxxxxxxxxxxxxxxxxx
Delivery-date: Fri, 16 Sep 2011 12:58:11 -0400
Envelope-to: traductor@xxxxxxxxxxx
In-reply-to: <CAGpXXZKLiH+e+=Ls5RH3ZiqJcouSnPuX7btWqaLkwxUtdLZNHQ@mail.gmail.com>
List-archive: <http://lists.opensuse.org/opensuse/>
List-help: <mailto:opensuse+help@opensuse.org>
List-owner: <mailto:opensuse+owner@opensuse.org>
List-post: <mailto:opensuse@opensuse.org>
List-subscribe: <mailto:opensuse+subscribe@opensuse.org>
List-unsubscribe: <mailto:opensuse+unsubscribe@opensuse.org>
Mailing-list: contact opensuse+help@xxxxxxxxxxxx; run by mlmmj
References: <alpine.LNX.2.00.1109151010560.15863@OpenSuSEme2010.localdomain> <20110915154121.GC31513@suse.de> <CAGpXXZKLiH+e+=Ls5RH3ZiqJcouSnPuX7btWqaLkwxUtdLZNHQ@mail.gmail.com>
User-agent: Alpine 2.00 (LNX 1167 2008-08-23)
Aparecería que en *Sep 15, *Dave *Howorth dijo:

> También cuando utilizando el *zypper orden-herramienta de línea te es consciente que también puedes utilizar *YaST sin habiendo *X corriendo? hay un *ncurses la versión
> llamada '*yast' *whilst el *X versión de GUI es '*yast2'.

*Yeah Pero cuándo utilizo *yast#adv con el *X *gui versión} REALMENTE me
confunde. NINGUNO de él es la interfaz es intuitiva a mí. Si iba para utilizar un *gui,
querría algo mucho más como *synaptic... Pero realmente aun así soy más 
cómodo con *CLI tan mucho tiempo tan hay algunos *sanity comprobando (como con *zypper 
cuándo me dice lo que es aproximadamente para hacer y me da una posibilidad de decir 
"NINGÚN" O con *Sabayon *equo hace tan mucho tiempo cuando recuerdo para utilizar el --preguntar 
cambio... Su tanto más fácil de utilizar copia/*paste de mis notas a la 
línea de orden con *CLI. Pero *thanks para el *info.

Aparecería que en *Sep 15, Marcus *Meissner dijo:

> En *Thu, *Sep 15, 2011 en 11:31:19AM -0400, *J(*tWdy)*P escribió:

 - - - - - - - - -< *s *n *i *p >- - - - - - - - - -

> > Mientras que *zypper *patch (sin *args) instalará todo necesitó *patches (cuáles
> >  a veces incluso sacan existir software y cambiará el vendedor
> > de paquete si necesitado. (Sospecho que él  incluso *downgrade un paquete si
> > necesario. Y que no tocará cualesquier paquetes fuera del alcance del
> > *patch implicó...)
> 
> Ningún, que sería "*zypper *dup".
> 
> *zypper *patch Utiliza el *updateinfo/*patch *meta información para actualizar los paquetes
> según el *patches tenemos en nuestro actualizar *repository.
> 
> Él  no  cambios de vendedor, *downgrades o *deinstalls.
> 
> Único *zypper "*dup" *aka "distribución *upgrade" hace.
> 
> Tan en orden de agresividad:
> 
> - *zypper *patch   el oficial único actualiza
> - *zypper arriba      actualiza con todo paquete disponible actualiza, ningún cambio
>                  de vendedor o *downgrade. (Incluye "*patch" partes también)
> 
> - *zypper *dup     intenta mover el sistema al estatal reflejado por el *repositories.
>                  Útil para cambiar a un nuevo *distro, o siguiendo *openSUSE Fábrica.

*Thanks. Así que estoy pensando justo utilizaré *zypper arriba de la mayoría de el tiempo con un
ocasional *zypper *dup cuándo allí está consiguiendo para ser demasiados paquetes listados
cuando NO siendo actualizado...

Aparecería que en *Sep 15, *Greg *Freemyer dijo:

> 
> Y aquí las instrucciones para hacer una versión *upgrade:
> 
> *http://*en.*opensuse.*org/*SDB:Sistema_*upgrade
> 

*Thanks... Aquello parece un grande qué-a.

Uno se preocupa, parece para aconsejar a sólo utilizar un limitado pocos *repos para
el *zypper *dup paso, y aquello habiendo demasiados podría dirigir a un fallado *upgrade.

Pero lo que pasa al software instalado con 11.3 versiones de *repos para
el cual no he instalado las 11,4 versiones de???

Cosas como mi *enlightenment *desktop venido para importar...

Él  no *uninstall lo en mí si no incluí la 11.4 versión de descargar.*opensuse.*org/*repositories/*X11:/*Enlightenment/*openSUSE_11.4/



Y si no incluí:

descarga.*opensuse.*org/*repositories/Juegos/*openSUSE_11.4/

 ser probablemente a *uninstall muchos juegos??? 

-- 
|  ^   ^
|  <?>   <?>       Joe (*theWordy) *Philbrook
|      ^                *J(*tWdy)*P
|    \___/         <<jtwdyp@xxxxxxxx>>

-- 
A *unsubscribe, *e-correo: *opensuse+unsubscribe@xxxxxxxxxxxx
Puesto que órdenes adicionales, *e-correo: *opensuse+help@xxxxxxxxxxxx


It would appear that on Sep 15, Dave Howorth did say:

> As well as using the zypper command-line tool are you aware that you can
> also use YaST without having X running? There is an ncurses version
> called 'yast' whilst the X GUI version is 'yast2'.

Yeah but when I use yast {even with the X gui version} it REALLY confuses
me. NONE of it's interface is intuitive to me. If I was going to use a gui,
I'd want something a LOT more like synaptic... But really though I'm more 
comfortable with CLI as long as there is some sanity checking (like with 
zypper when it tells me what it's about to do and gives me a chance to say 
"NO" Or with Sabayon's equo does as long as I remember to use the --ask 
switch... Its so much easier to use copy/paste from my notes to the 
command line with CLI. But thanks for the info.

It would appear that on Sep 15, Marcus Meissner did say:

> On Thu, Sep 15, 2011 at 11:31:19AM -0400, J(tWdy)P wrote:

 - - - - - - - - -< s n i p >- - - - - - - - - -

> > Whereas zypper patch (without args) will install all needed patches (which
> > will sometimes even remove existing software and WILL change the package
> > vendor if needed. (I suspect that it will even downgrade a package if
> > necessary. And that it won't touch any packages outside the scope of the
> > patch involved...)
> 
> No, that would be "zypper dup".
> 
> zypper patch uses the updateinfo/patch meta information to update the packages
> according to the patches we have in our update repository.
> 
> It will not do vendor changes, downgrades or deinstalls.
> 
> Only zypper "dup" aka "distribution upgrade" does.
> 
> So in order of aggressiveness:
> 
> - zypper patch   only official updates
> - zypper up      updates with all available package updates, no vendor
>                  change or downgrade. (includes "patch" parts too)
> 
> - zypper dup     try to move the system to the state reflected by the repositories.
>                  useful for switching to a new distro, or following openSUSE Factory.

Thanks. So I'm thinking I'll just use zypper up most of the time with an
occasional zypper dup when there are getting to be too many packages listed
as NOT being updated...

It would appear that on Sep 15, Greg Freemyer did say:

> 
> And here's the instructions for doing a version upgrade:
> 
> http://en.opensuse.org/SDB:System_upgrade
> 

Thanks... That looks like a great how-to.

One concern, it seems to advise to only use a limited few repos for the
zypper dup step, and that having too many could lead to a failed upgrade.

But what happens to software installed with 11.3 versions of repos for
which I haven't installed the 11,4 versions of???

Things like my enlightenment desktop come to mind...

It wouldn't uninstall it on me if I didn't include the 11.4 version of

download.opensuse.org/repositories/X11:/Enlightenment/openSUSE_11.4/

And if I didn't include:

download.opensuse.org/repositories/games/openSUSE_11.4/

would it be likely to uninstall a lot of games??? 

-- 
|  ~^~   ~^~
|  <?>   <?>       Joe (theWordy) Philbrook
|      ^                J(tWdy)P
|    \___/         <<jtwdyp@xxxxxxxx>>

-- 
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse+help@xxxxxxxxxxxx


<Anterior por Tema] Tema Actual [Siguiente por Tema>